function Remove_Bottle_Before_Update(){
chmod -R +w $HOME/.deepinwine/$BOTTLENAME
rm -rf $HOME/.deepinwine/$BOTTLENAME
}


#########这是个例子，对于那些需要删除容器再更新的软件用的，不是每个都需要

function CallPreUpdate(){
echo "$HOME/.deepinwine/$BOTTLENAME is going to be deleted before Update"

Remove_Bottle_Before_Update
DeployApp
########这里是非常非常坑，虽然名字是pre_update但是实际上会直接替换掉整个update过程，所以deploy也需要加上
}
